/*jslint nodejs:true, indent:4 */
var vows = require('vows'),
    assert = require('assert'),
    env = require('./_env'),
    __filenameTested = env.toFilenameTested(__filename),
    mime = require(__filenameTested);

/*******************************************************************************
 * JSLint validation
 ******************************************************************************/
exports.JSLintTest = env.JSLintTest([__filenameTested, __filename]);

/*******************************************************************************
 * MimetypeTest class
 ******************************************************************************/
exports.MimetypeTest = vows.describe('Mimetype module').addBatch({
    "lookup()": {
        topic: function () {
            return mime.lookup;
        },
        'should return a valid mimetype for extension': function (topic) {
            assert.equal(topic("atom"), "application/atom+xml");
        },
        'should return "application/octet-stream" if not found': function (topic) {
            assert.equal(topic("notfound"), "application/octet-stream");
        }
    }
});